# This file is a template, and might need editing before it works on your project.
# see https://docs.gitlab.com/ce/ci/yaml/README.html for all available options

stages:
  - merge

workflow:
  rules:
    - changes:
        - minigame_proto/proto/**.proto

variables:
  GIT_SUBMODULE_STRATEGY: recursive

before_script:
  - echo $gitlab_email
  - apt-get update
  - apt-get -y install git
  - git config --global credential.helper store
  - git config --global url."https://vajar_minigame:$gitlab_pw_bot@gitlab.com".insteadOf "https://gitlab.com"
  - git remote set-url --push origin https://gitlab-ci-token:$gitlab_pw_bot@gitlab.com/$CI_PROJECT_PATH.git
  - git config --global user.email "$gitlab_email"
  - git config --global user.username "gitlab_bot"

  - chmod +x minigame_proto/protobufInstall.sh
  - minigame_proto/protobufInstall.sh

python_merge:
  stage: merge
  image: python:latest
  script:
    #weird hack for now
    - git submodule update --remote --merge
    - git add *
    - git commit -m "update submodule versions" || true
    - git push --follow-tags origin HEAD:$CI_COMMIT_REF_NAME
    - chmod +x scripts/buildProto.sh
    - scripts/buildProto.sh
    - git add protopython/*
    - git commit -m "update protofiles" || true
    - git push --follow-tags origin HEAD:$CI_COMMIT_REF_NAME
